<div class="row">
    <div class="col-md-2"></div>

    <div class="col-md-8">
        <div class="row">
            <div class="col">
                <div class="alert alert-box" role="alert">
                    <h3>Gestione Funzioni</h3>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <app-alert></app-alert>
            </div>
        </div>
        <div class="row">
            <div class="col" style="width: 100%; display: inline-block;">
                <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" id="functionList"
                    class="row-border centered-datatables">
                    <thead>
                        <tr>
                            <th>Nome</th>
                            <th>Descrizione</th>
                            <th>Data Creazione</th>
                            <th>Azione</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
        <hr>
        <div class="row">

            <div class="col">
                <button type="button" (click)="goToHome()"
                    class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                <button type="button" (click)="openInsertFunctionModal(insertFunction)"
                    class="btn btn-sm btn-success size buttonConfirm">Nuova Funzione</button>


            </div>
        </div>
        <br>





        <div class="col-md-2"></div>

    </div>
</div>
<ng-template #insertFunction>
    <app-insert-function [modalRef]="modalRef"></app-insert-function>
</ng-template>